public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/logrotate/
Date: Sun,  9 Jan 2022 01:06:43 +0000 (UTC)	[thread overview]
Message-ID: <1641690391.6024c1700b7d273c4777218d1d43b771702319c2.sam@gentoo> (raw)

commit:     6024c1700b7d273c4777218d1d43b771702319c2
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jan  9 00:57:28 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan  9 01:06:31 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6024c170

app-admin/logrotate: add 3.19.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-admin/logrotate/Manifest                |  1 +
 app-admin/logrotate/logrotate-3.19.0.ebuild | 96 +++++++++++++++++++++++++++++
 2 files changed, 97 insertions(+)

diff --git a/app-admin/logrotate/Manifest b/app-admin/logrotate/Manifest
index 0d34971c6277..467344c959b2 100644
--- a/app-admin/logrotate/Manifest
+++ b/app-admin/logrotate/Manifest
@@ -1 +1,2 @@
 DIST logrotate-3.18.1.tar.gz 225226 BLAKE2B 6f40dfe89f9c6202263f16204a9cff07b921abc9a298b58649bb4968c9f498626741be334c47d4092da564ed75642b687ff6ef8781f69f5e25364f8635646d9d SHA512 c40f920686aee014c652f087c64f2a85e9e866a8717d1bd3f32a9dd7959a02962e6174de28ae685428b442e12079d0c8d91485611ca34a873ffae872a54ec9fe
+DIST logrotate-3.19.0.tar.gz 228089 BLAKE2B aa5e932fe2056d150cc632134d80e160883b62e9f92a010bd5f5cded40a0362e28b966d006305b07030a8b07eb35a8e0c5b65b8d4bc87c278286b326cced1c46 SHA512 68bca961608565687a9ccb18e72f0627b405aff95286e508fdc78926d2cc172c56e1523a24ca81a161f683c2d568312984e2757edd291d144e0e4b982433e119

diff --git a/app-admin/logrotate/logrotate-3.19.0.ebuild b/app-admin/logrotate/logrotate-3.19.0.ebuild
new file mode 100644
index 000000000000..00e473b5ae60
--- /dev/null
+++ b/app-admin/logrotate/logrotate-3.19.0.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit systemd tmpfiles
+
+DESCRIPTION="Rotates, compresses, and mails system logs"
+HOMEPAGE="https://github.com/logrotate/logrotate"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="acl +cron selinux"
+
+DEPEND=">=dev-libs/popt-1.5
+	selinux? ( sys-libs/libselinux )
+	acl? ( virtual/acl )"
+RDEPEND="${DEPEND}
+	selinux? ( sec-policy/selinux-logrotate )
+	cron? ( virtual/cron )"
+
+STATEFILE="${EPREFIX}/var/lib/misc/logrotate.status"
+OLDSTATEFILE="${EPREFIX}/var/lib/logrotate.status"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-3.15.0-ignore-hidden.patch"
+)
+
+move_old_state_file() {
+	elog "logrotate state file is now located at ${STATEFILE}"
+	elog "See bug #357275"
+	if [[ -e "${OLDSTATEFILE}" ]] ; then
+		elog "Moving your current state file to new location: ${STATEFILE}"
+		mv -n "${OLDSTATEFILE}" "${STATEFILE}" || die
+	fi
+}
+
+install_cron_file() {
+	exeinto /etc/cron.daily
+	newexe "${S}"/examples/logrotate.cron "${PN}"
+}
+
+src_prepare() {
+	default
+
+	sed -i -e 's#/usr/sbin/logrotate#/usr/bin/logrotate#' examples/logrotate.{cron,service} || die
+}
+
+src_configure() {
+	econf \
+		$(use_with acl) \
+		$(use_with selinux) \
+		--with-state-file-path="${STATEFILE}"
+}
+
+src_test() {
+	emake test
+}
+
+src_install() {
+	dobin logrotate
+	doman logrotate.8
+	dodoc ChangeLog.md
+
+	insinto /etc
+	doins "${FILESDIR}"/logrotate.conf
+
+	use cron && install_cron_file
+
+	systemd_dounit examples/logrotate.{service,timer}
+	newtmpfiles "${FILESDIR}"/${PN}.tmpfiles ${PN}.conf
+
+	keepdir /etc/logrotate.d
+}
+
+pkg_postinst() {
+	elog
+	elog "The ${PN} binary is now installed under /usr/bin. Please"
+	elog "update your links"
+	elog
+
+	move_old_state_file
+
+	tmpfiles_process ${PN}.conf
+
+	if [[ -z ${REPLACING_VERSIONS} ]] ; then
+		elog "If you wish to have logrotate e-mail you updates, please"
+		elog "emerge virtual/mailx and configure logrotate in"
+		elog "/etc/logrotate.conf appropriately"
+		elog
+		elog "Additionally, /etc/logrotate.conf may need to be modified"
+		elog "for your particular needs. See man logrotate for details."
+	fi
+}


             reply	other threads:[~2022-01-09  1:06 UTC|newest]

Thread overview: 141+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-09  1:06 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-01 19:46 [gentoo-commits] repo/gentoo:master commit in: app-admin/logrotate/ Arthur Zamarin
2024-08-29  3:15 Sam James
2024-08-29  2:35 Sam James
2024-08-29  2:35 Sam James
2024-08-29  2:35 Sam James
2024-08-29  2:35 Sam James
2024-08-29  2:35 Sam James
2024-06-24  2:54 Sam James
2024-06-24  2:54 Sam James
2023-03-04 22:30 Jakov Smolić
2023-03-04  8:50 Arthur Zamarin
2023-03-04  5:57 Arthur Zamarin
2023-03-04  5:50 Arthur Zamarin
2022-12-13 22:54 Sam James
2022-07-29 14:40 Arthur Zamarin
2022-07-29  3:24 Sam James
2022-07-16  8:59 Agostino Sarubbo
2022-07-15 12:14 Sam James
2022-07-15 11:04 Arthur Zamarin
2022-07-15 11:04 Arthur Zamarin
2022-07-15 11:02 Arthur Zamarin
2022-07-15 10:59 Arthur Zamarin
2022-07-15 10:03 Arthur Zamarin
2022-05-25 22:46 Sam James
2022-05-25  7:55 Sam James
2022-04-12 10:56 Sam James
2022-02-24 15:02 Sam James
2022-02-19  8:36 Arthur Zamarin
2022-02-19  8:29 Arthur Zamarin
2022-02-19  2:36 Sam James
2022-02-19  2:36 Sam James
2022-02-19  2:28 Sam James
2022-02-19  2:24 Sam James
2022-01-24 19:19 Sam James
2021-09-06  2:23 Yixun Lan
2021-07-30  8:39 Georgy Yakovlev
2021-07-30  8:39 Georgy Yakovlev
2021-07-30  8:39 Georgy Yakovlev
2021-07-30  8:39 Georgy Yakovlev
2021-07-27  3:16 Sam James
2021-07-26 11:17 Sam James
2021-07-25 20:09 Sam James
2021-07-23 17:58 Sam James
2021-07-23 17:58 Sam James
2021-07-23 17:05 Sergei Trofimovich
2021-05-22 17:20 David Seifert
2021-05-22 15:40 Lars Wendler
2021-04-26 10:38 Sam James
2021-04-26 10:34 Sam James
2021-04-25 15:52 Sam James
2021-04-25 15:21 Sam James
2021-04-25 12:32 Sam James
2021-04-25 12:32 Sam James
2021-04-25 12:32 Sam James
2021-01-14 20:09 Sergei Trofimovich
2021-01-08 14:22 Lars Wendler
2021-01-08 14:22 Lars Wendler
2021-01-07 16:53 Sam James
2021-01-07 16:52 Sam James
2021-01-07 15:04 Sam James
2021-01-07 10:09 Sam James
2021-01-07  5:10 Sam James
2021-01-07  5:10 Sam James
2020-09-30 17:59 Mikle Kolyada
2020-07-31 16:07 Mikle Kolyada
2020-03-06  6:29 Mikle Kolyada
2020-01-27 19:03 Mikle Kolyada
2019-08-31 14:08 Mikle Kolyada
2019-05-21 19:17 Mikle Kolyada
2018-06-24 21:56 Steve Arnold
2018-06-17 10:21 Sergei Trofimovich
2018-06-09 19:22 Sergei Trofimovich
2018-05-20 14:47 Sergei Trofimovich
2018-05-03  7:28 Mart Raudsepp
2018-04-24 11:23 Mikle Kolyada
2018-04-18  7:10 Sergei Trofimovich
2018-04-11 20:43 Thomas Deutschmann
2018-04-10 11:32 Tobias Klausmann
2018-04-08 15:41 Aaron Bauman
2018-01-18 19:03 Markus Meier
2017-11-17 11:18 Tobias Klausmann
2017-11-14  9:00 Sergei Trofimovich
2017-11-13 15:12 Manuel Rüger
2017-11-11 23:34 Sergei Trofimovich
2017-11-11 22:12 Sergei Trofimovich
2017-11-11 18:00 Thomas Deutschmann
2017-11-11 14:47 Sergei Trofimovich
2017-10-23 18:01 Markus Meier
2017-10-05 20:46 José María Alonso
2017-10-04  8:13 Sergei Trofimovich
2017-10-02 23:45 Thomas Deutschmann
2017-10-02 13:24 Sergei Trofimovich
2017-10-02 12:17 Manuel Rüger
2017-09-30  7:18 Sergei Trofimovich
2017-09-29  0:41 Sergei Trofimovich
2017-08-28 15:39 José María Alonso
2017-08-04 19:24 José María Alonso
2017-07-13 20:40 José María Alonso
2017-07-12 11:52 José María Alonso
2017-06-21 11:57 Agostino Sarubbo
2017-06-15 16:07 Markus Meier
2017-06-13 12:31 Agostino Sarubbo
2017-06-10 15:10 Agostino Sarubbo
2017-06-10 13:45 Agostino Sarubbo
2017-06-04 19:20 Tobias Klausmann
2017-06-04 10:42 Agostino Sarubbo
2017-06-04 10:34 Agostino Sarubbo
2017-02-26 19:43 José María Alonso
2017-02-26 19:24 José María Alonso
2017-02-10  0:52 Michael Weber
2017-01-16 19:56 Tobias Klausmann
2017-01-15  0:30 Jeroen Roovers
2017-01-10 14:56 Agostino Sarubbo
2017-01-03  9:38 José María Alonso
2016-12-21 11:49 Thomas Deutschmann
2016-12-02 14:53 Lars Wendler
2016-10-01 12:51 Jeroen Roovers
2016-10-01  7:58 Markus Meier
2016-09-21 17:48 Tobias Klausmann
2016-07-30 13:49 Mike Gilbert
2016-07-30 13:46 Richard Farina
2016-07-30 13:37 Richard Farina
2016-07-26 11:35 José María Alonso
2016-07-18  4:49 Jeroen Roovers
2016-05-25  6:29 Matt Turner
2016-03-24  5:55 Markus Meier
2016-02-25  9:04 José María Alonso
2016-01-10 10:34 Agostino Sarubbo
2015-12-27  9:39 Mikle Kolyada
2015-12-07 11:40 Agostino Sarubbo
2015-12-06 11:52 Markus Meier
2015-12-03 13:28 Agostino Sarubbo
2015-12-03  8:30 Jeroen Roovers
2015-11-30  9:17 Agostino Sarubbo
2015-09-21 11:27 Agostino Sarubbo
2015-09-21  3:47 Jeroen Roovers
2015-09-12  3:40 Mike Frysinger
2015-09-06 13:25 Agostino Sarubbo
2015-08-18  5:54 Jeroen Roovers
2015-08-16 16:32 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1641690391.6024c1700b7d273c4777218d1d43b771702319c2.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox